/**
 * @param {string} html
 * @param {boolean} encode
 */
export function escape(html: string, encode?: boolean): string;
/** @param {string} title */
export function slugify(title: string): string;
/** @param {string} markdown */
export function removeMarkdown(markdown: string): string;
/** @param {string} html */
export function removeHTMLEntities(html: string): string;
/**
 * @param {string} markdown
 * @param {Partial<import('marked').Renderer>} renderer
 */
export function transform(markdown: string, renderer?: Partial<import('marked').Renderer>): Promise<string>;
/** @param {string} markdown */
export function extract_frontmatter(markdown: string): {
    metadata: Record<string, string>;
    body: string;
};
export const SHIKI_LANGUAGE_MAP: {
    bash: string;
    env: string;
    html: string;
    svelte: string;
    sv: string;
    js: string;
    dts: string;
    css: string;
    diff: string;
    ts: string;
    '': string;
};
export function normalizeSlugify(str: string): string;
