/** @typedef {typeof __propDef.props}  SearchBoxProps */
/** @typedef {typeof __propDef.events}  SearchBoxEvents */
/** @typedef {typeof __propDef.slots}  SearchBoxSlots */
/**
 * Renders a search box as an overlay that can be used to search the documentation.
 * It appears when the user clicks on the `Search` component or presses the corresponding keyboard shortcut.
 */
export default class SearchBox extends SvelteComponent<{
    placeholder?: string | undefined;
}, {
    [evt: string]: CustomEvent<any>;
}, {
    'search-description': {};
    'no-results': {};
    idle: {
        has_recent_searches: number;
    };
}> {
}
export type SearchBoxProps = typeof __propDef.props;
export type SearchBoxEvents = typeof __propDef.events;
export type SearchBoxSlots = typeof __propDef.slots;
import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        placeholder?: string | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        'search-description': {};
        'no-results': {};
        idle: {
            has_recent_searches: number;
        };
    };
};
export {};
