/**
 * Initialize the search index
 * @param {import('./types').Block[]} blocks
 */
export function init(blocks: import('./types').Block[]): void;
/**
 * Search for a given query in the existing index
 * @param {string} query
 * @returns {import('./types').Tree[]}
 */
export function search(query: string): import('./types').Tree[];
/**
 * Get a block with details by its href
 * @param {string} href
 */
export function lookup(href: string): import("./types").Block | undefined;
/** If the search is already initialized */
export let inited: boolean;
